Skip to main content
GET
/
llm
/
v1
/
models
curl -X GET "https://api.case.dev/llm/v1/models" \ -H "Authorization: Bearer $CASEDEV_API_KEY"
{
  "data": [
    {
      "id": "casemark/contract-analyzer",
      "object": "model",
      "created": 1678886400,
      "owned_by": "casemark",
      "pricing": {
        "input": "0.000001000",
        "output": "0.000003000"
      }
    },
    {
      "id": "gpt-4o",
      "object": "model",
      "created": 1678886400,
      "owned_by": "openai",
      "pricing": {
        "input": "0.000005000",
        "output": "0.000015000"
      }
    },
    {
      "id": "claude-3-5-sonnet-20241022",
      "object": "model",
      "created": 1678886400,
      "owned_by": "anthropic",
      "pricing": {
        "input": "0.000003000",
        "output": "0.000015000",
        "input_cache_read": "0.000000300"
      }
    }
  ],
  "object": "list"
}

Documentation Index

Fetch the complete documentation index at: https://docs.case.dev/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key starting with sk_case_

Response

Successfully retrieved models list

data
object[]
object
string

Response object type, always 'list'